package it.politecnico.model.measurement;

import it.politecnico.model.MeasurementDataImport;
import java.io.Serializable;

public class Measurement extends MeasurementDataImport implements Serializable {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column MEASUREMENTS.R_CND_H_IN
     *
     * @mbggenerated
     */
    private Double rCndHIn;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column MEASUREMENTS.R_CND_H_OUT
     *
     * @mbggenerated
     */
    private Double rCndHOut;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column MEASUREMENTS.R_EVP_H_IN
     *
     * @mbggenerated
     */
    private Double rEvpHIn;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column MEASUREMENTS.R_EVP_H_OUT
     *
     * @mbggenerated
     */
    private Double rEvpHOut;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column MEASUREMENTS.FILE_NAME
     *
     * @mbggenerated
     */
    private String fileName;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column MEASUREMENTS.R_EVP_TSAT_IN
     *
     * @mbggenerated
     */
    private Double rEvpTsatIn;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column MEASUREMENTS.R_EVP_TSAT_OUT
     *
     * @mbggenerated
     */
    private Double rEvpTsatOut;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column MEASUREMENTS.R_CND_TSAT_IN
     *
     * @mbggenerated
     */
    private Double rCndTsatIn;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column MEASUREMENTS.R_CND_TSAT_OUT
     *
     * @mbggenerated
     */
    private Double rCndTsatOut;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    private static final long serialVersionUID = 1L;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column MEASUREMENTS.R_CND_H_IN
     *
     * @return the value of MEASUREMENTS.R_CND_H_IN
     *
     * @mbggenerated
     */
    public Double getrCndHIn() {
        return rCndHIn;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column MEASUREMENTS.R_CND_H_IN
     *
     * @param rCndHIn the value for MEASUREMENTS.R_CND_H_IN
     *
     * @mbggenerated
     */
    public void setrCndHIn(Double rCndHIn) {
        this.rCndHIn = rCndHIn;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column MEASUREMENTS.R_CND_H_OUT
     *
     * @return the value of MEASUREMENTS.R_CND_H_OUT
     *
     * @mbggenerated
     */
    public Double getrCndHOut() {
        return rCndHOut;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column MEASUREMENTS.R_CND_H_OUT
     *
     * @param rCndHOut the value for MEASUREMENTS.R_CND_H_OUT
     *
     * @mbggenerated
     */
    public void setrCndHOut(Double rCndHOut) {
        this.rCndHOut = rCndHOut;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column MEASUREMENTS.R_EVP_H_IN
     *
     * @return the value of MEASUREMENTS.R_EVP_H_IN
     *
     * @mbggenerated
     */
    public Double getrEvpHIn() {
        return rEvpHIn;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column MEASUREMENTS.R_EVP_H_IN
     *
     * @param rEvpHIn the value for MEASUREMENTS.R_EVP_H_IN
     *
     * @mbggenerated
     */
    public void setrEvpHIn(Double rEvpHIn) {
        this.rEvpHIn = rEvpHIn;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column MEASUREMENTS.R_EVP_H_OUT
     *
     * @return the value of MEASUREMENTS.R_EVP_H_OUT
     *
     * @mbggenerated
     */
    public Double getrEvpHOut() {
        return rEvpHOut;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column MEASUREMENTS.R_EVP_H_OUT
     *
     * @param rEvpHOut the value for MEASUREMENTS.R_EVP_H_OUT
     *
     * @mbggenerated
     */
    public void setrEvpHOut(Double rEvpHOut) {
        this.rEvpHOut = rEvpHOut;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column MEASUREMENTS.FILE_NAME
     *
     * @return the value of MEASUREMENTS.FILE_NAME
     *
     * @mbggenerated
     */
    public String getFileName() {
        return fileName;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column MEASUREMENTS.FILE_NAME
     *
     * @param fileName the value for MEASUREMENTS.FILE_NAME
     *
     * @mbggenerated
     */
    public void setFileName(String fileName) {
        this.fileName = fileName == null ? null : fileName.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column MEASUREMENTS.R_EVP_TSAT_IN
     *
     * @return the value of MEASUREMENTS.R_EVP_TSAT_IN
     *
     * @mbggenerated
     */
    public Double getrEvpTsatIn() {
        return rEvpTsatIn;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column MEASUREMENTS.R_EVP_TSAT_IN
     *
     * @param rEvpTsatIn the value for MEASUREMENTS.R_EVP_TSAT_IN
     *
     * @mbggenerated
     */
    public void setrEvpTsatIn(Double rEvpTsatIn) {
        this.rEvpTsatIn = rEvpTsatIn;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column MEASUREMENTS.R_EVP_TSAT_OUT
     *
     * @return the value of MEASUREMENTS.R_EVP_TSAT_OUT
     *
     * @mbggenerated
     */
    public Double getrEvpTsatOut() {
        return rEvpTsatOut;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column MEASUREMENTS.R_EVP_TSAT_OUT
     *
     * @param rEvpTsatOut the value for MEASUREMENTS.R_EVP_TSAT_OUT
     *
     * @mbggenerated
     */
    public void setrEvpTsatOut(Double rEvpTsatOut) {
        this.rEvpTsatOut = rEvpTsatOut;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column MEASUREMENTS.R_CND_TSAT_IN
     *
     * @return the value of MEASUREMENTS.R_CND_TSAT_IN
     *
     * @mbggenerated
     */
    public Double getrCndTsatIn() {
        return rCndTsatIn;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column MEASUREMENTS.R_CND_TSAT_IN
     *
     * @param rCndTsatIn the value for MEASUREMENTS.R_CND_TSAT_IN
     *
     * @mbggenerated
     */
    public void setrCndTsatIn(Double rCndTsatIn) {
        this.rCndTsatIn = rCndTsatIn;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column MEASUREMENTS.R_CND_TSAT_OUT
     *
     * @return the value of MEASUREMENTS.R_CND_TSAT_OUT
     *
     * @mbggenerated
     */
    public Double getrCndTsatOut() {
        return rCndTsatOut;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column MEASUREMENTS.R_CND_TSAT_OUT
     *
     * @param rCndTsatOut the value for MEASUREMENTS.R_CND_TSAT_OUT
     *
     * @mbggenerated
     */
    public void setrCndTsatOut(Double rCndTsatOut) {
        this.rCndTsatOut = rCndTsatOut;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MEASUREMENTS
     *
     * @mbggenerated
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", rCndHIn=").append(rCndHIn);
        sb.append(", rCndHOut=").append(rCndHOut);
        sb.append(", rEvpHIn=").append(rEvpHIn);
        sb.append(", rEvpHOut=").append(rEvpHOut);
        sb.append(", fileName=").append(fileName);
        sb.append(", rEvpTsatIn=").append(rEvpTsatIn);
        sb.append(", rEvpTsatOut=").append(rEvpTsatOut);
        sb.append(", rCndTsatIn=").append(rCndTsatIn);
        sb.append(", rCndTsatOut=").append(rCndTsatOut);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}